services:
  shiroi:
    container_name: shiro
    image: laobinghu/shiro:1.2.5
    volumes:
      - ./.env:/app/.env
      - ./public:/app/public
      - /etc/hosts:/etc/hosts:ro
    restart: always
    environment:
      - NEXT_SHARP_PATH=/usr/local/lib/node_modules/sharp
    ports:
      - 2323:2323